AutoCAD Inventor :: Switch On / Off Selection Filter Popup
Sep 21, 2011
Any settings where you can switch on/off the selection filter popup? Mine is just gone. Under application options I don't see anything to do with switching it off.
View 2 Replies
ADVERTISEMENT
May 27, 2011
I am porting some VBA to VB.Net.
Several of the modules do a ThisDrawing.SendCommand("_color" & vbCR) to popup the AutoCAD color picker, then process the response by doing a ThisDrawing.GetVariable("CECOLOR") to get the selected color.
With .Net, the SendCommand does not execute until the .Net program ends.
How can I get the AutoCAD color picker to popup inline in my code so I can get the user's selection?
View 2 Replies
View Related
Oct 8, 2012
Did it used to be true that AI would automatically change the current tool back to the Selection tool after you used another tool (such as drawing a rectangle)?
View 3 Replies
View Related
Jan 16, 2013
Can I create popup button control underneath another pop button control?
I can do this with .net controls, but I can't seem to get this to work with Inventor. Whenever I try to add a command bar to another command bar.Controls I get an Invalid Parameter error.
Here is what I am referring to. I would like to be able to add a menu below a menu.
View 3 Replies
View Related
May 18, 2013
when using keyboard short cuts to swap between tools ps cs6 now defaults to only a "temporary switch" i.e. it reverts back to the previously selected tool imediatly after I release the key. I can not get the tool to stick on the new selection unless I use the mouse to manually select the new tool.
How do I stop this from happening? I want to use short cuts to switch between tools and have it stick.
I have looked else where in the forums and have not found a solution that has worked. Checked that my keyboard is in the proper language, reinstalled photoshop, and double checked every setting I can think of, all to no avail.
This is a new problem, I have not made any recent hardware changes, everything had worked fine until today.
View 1 Replies
View Related
May 23, 2011
The following code filter all lines which are in the layer "0" and line weight is 0.35. But it does not. my selection set is empty.
Dim typVal(2) As TypedValue
typVal(0) = New TypedValue(DxfCode.Start, "LINE")
typVal(1) = New TypedValue(DxfCode.LayerName, layName)
typVal(2) = New TypedValue(DxfCode.LineWeight, Convert.ToInt16(0.35))
----------------------------------------------------------------------------------------------------------
Dim sf As SelectionFilter = New SelectionFilter(typVal)
Dim ss As SelectionSet = ed.SelectAll(sf).Value
View 1 Replies
View Related
Jun 4, 2012
AutoCAD 2012
C#
Windows 7
I need a selection filter to find text objects within a rectangular area using dxf operators (do not want to use Editor.SelectWindow).
Whats wrong with the following code attempt?
It causes Fatal Error!
TypedValue[] tv2 = new TypedValue[15];
tv2.SetValue(new TypedValue((int)DxfCode.Start, "TEXT"), 0);
tv2.SetValue(new TypedValue((int)DxfCode.Operator, "<and"), 1);
[Code]....
View 4 Replies
View Related
Dec 11, 2012
I wonder if its possible to apply a filter to a subset of entities (that could be the result of a previous filtering).
View 8 Replies
View Related
Apr 25, 2012
to select object on a single layer
Dim strLayer as string = "road"acTypValAr.SetValue(New TypedValue(DxfCode.LayerName, strLayer), 2)
how do you select all objects on multiple layers
Dim strLayer as string = "road,sidewalks"acTypValAr.SetValue(New TypedValue(DxfCode.LayerName, strLayer), 2)
the above does not work. how do you select all objects on multiple layers?
View 3 Replies
View Related
May 17, 2012
I'm trying to select two specific types of blocks from a drawing so that I can create layouts for each one of the pairs of blocks in my drawing. Basically, one block is the outline of the piece of the drawing and the second contains information about the drawing. I would like to select all of the outline blocks and then create a selection to get the second block which is inside the bounds of the first block.
I'm not sure how to create a set of typed values to do this. Here is my code so far which sets up a filter to get the first block and then for each of the blocks that it finds, it would select the block with all of the information which is where I am having problems. I don't know how to create a filter based upon location of the block.
using (Transaction tr = acCurDb.TransactionManager.StartTransaction()) { filList = new TypedValue[] { new TypedValue((int)DxfCode.Operator,"<and"), new TypedValue((int)DxfCode.Start,"INSERT"), new TypedValue((int)DxfCode.BlockName,"D-1*"), new TypedValue((int)DxfCode.Operator,"and>")}; // Build a filter list so that only block references are selected filter = new SelectionFilter(filList); //Select all res =
[code]........
View 2 Replies
View Related
Sep 28, 2011
I'm using a typed value list to create a selection filter to use with Editor.SelectAll(filter) method. The selection returns both frozen & un-frozen entities. Is there a way to filter out frozen objects using the filter?
View 2 Replies
View Related
Apr 12, 2007
I'm trying to use a Selection Filter on Block Reference XData value. But I get no hits, it works fine with Lines and Polylines that has the same kind of XData.
Is it a bug or do I have to define my Selection Filter differently when working with Block Reference?
Here is a part of the code :
TypedValue[] flt = new TypedValue[]
{
new TypedValue(-4, " new TypedValue(-4, " new TypedValue(8, "POLYLINE_LAYER"),
new TypedValue(1001, "Object_Id"),
new TypedValue(1000, "166448"),
new TypedValue(-4, "AND>"),
[code].......
View 3 Replies
View Related
Apr 23, 2013
I'm putting together some quick function that I can send 2 arguments and get from it the total area of a given hatch on the given layer. I think everything is in order but I'm having trouble with the selection set filter:
(DEFUN GET-HATCH-AREA (HATCH LAYR / area sset) (COND((AND(ssget "X" '((0 . "HATCH") (2 . HATCH) (8 . LAYR))) (SETQ area 0) (VLAX-FOR H (SETQ sset (VLA-GET-ACTIVESELECTIONSET (VLA-GET-ACTIVEDOCUMENT (VLAX-GET-ACAD-OBJECT)))) (SETQ area (+ (VLA-GET-AREA h) area))) (ALERT(STRCAT "Total area = " (IF (OR (= (GETVAR "lunits") 3) (= (GETVAR "lunits") 4) ) (STRCAT (RTOS area 2) " sq. in. (" (RTOS (/ area 144) 2) " sq. ft.)") (RTOS area) ) ) ) (VLA-DELETE sset) ) ) ))
View 9 Replies
View Related
Jan 6, 2010
I am trying to create selection set entity xdata(1001, 1000,1000) features like text,line,lwpolyline,insert....etc.
But its working only on linear features not working on remaining features, why?
View 4 Replies
View Related
Feb 8, 2012
I converted a drawing in pdf format into dxf. I'm using Autocad 2012 to edit the file. The dxf conversion is good, but of course there is no difference between the diffent kind of lines.
I would like to select all lines which have an orientation of 30° with the horizontal and put them into a new layer. Is there a way to do that ? I though about using a filter.
Then I will edit the properties oh those lines (color, thickness, type....).
View 9 Replies
View Related
Mar 22, 2012
I have a problem with selecting all references to a specific dynamic block. When I use the filter below only block “D2” is selected, which is not a dynamic block, Block "Bulb120227” which is a dyn block is not
Dim values() As TypedValue = { _
New TypedValue(0, "INSERT"), _
New TypedValue(-4, "<OR"), _
New TypedValue(2, "D2"), _
New TypedValue(2, "Bulb120227"), _
New TypedValue(-4, "OR>") _
}
How should the filter be done to filter out the dyn block that I want several block should be filtered out in one selection.If it is possible to achieve with just a filter at all?
View 7 Replies
View Related
Jul 28, 2012
I have determine that my AutoCad 2009 will allow me to drag/drop layers to an existing Group Layer Filter, but it will not allow me to right click on the Group Filter>Select Layers>Add. Once I go to the model space an select layers then "enter" no layers are added to the Filter Group and it gives me an error message that says "unable to modify layers while another command is active".
View 0 Replies
View Related
Oct 10, 2013
I was wondering how to develop a Selection Set Filter that will select only Cogo Points? I know I need to use Dxf.Start as the code, but then what's the string associated with Cogo Points? Can't find any documentation on this or any Civil 3D-unique entities...I know Line is just "Line" and "Arc" is just arc...but Polyline is the unintuitive "LWPolyline" and "Cogo Point" isn't working.
View 5 Replies
View Related
Apr 20, 2012
I have some strings like the ones below. They are always in the same format. The first line is Cold Water, the second is Hot Water and the third is Hot Water Return.
I want to build a selection set based on whether it is CW, HWS or HWR. Right now I have a routine to retrieve the string by using ENTSEL. In other words if I want to use the line of text for Cold Water I have to select it.
I'd like to be able to window them all and filter the SS for only the string containing CW and conversly HWS and HWR. SSGET function filter.
"2''CW-52.0 WSFU"
"2''HWS-48.0 WSFU+12 GPM"
"1"HWR-12 GPM "
View 8 Replies
View Related
Aug 7, 2012
I use a lot of Group Layer Filters so I can turn things on/off quickly. My problem is I have been creating my Layer Filter Group by right clicking on the Layer Group Filter>going to Selection>then click Add> then go back to my drawing or Layout tab and select all of the layers I need then click enter. One day my AutoCad would not let me do that anymore, and even after I click on enter it gives me an error message saying the command is still active. Now from my Layer Properties Manager I can select any layer and drag/drop it into any filter and it works, but I really need to be able to select things within the model space or paper of each layout tabs.
View 0 Replies
View Related
Mar 8, 2012
I typically filter out the stuff I don't want and only select the stuff I leave in for the NWC export. (3D view)
View 1 Replies
View Related
Mar 28, 2013
I have a flexible sub-assembly in my top assembly. Sometiems I'm trying to demonstrate to others how a mechanism in the sub-assembly works using this flexibility feature. It works great, but when I move just one little part of a flexible assembly, Inventor displays the wire-mesh of the entire flexible assembly, because technically the entire assembly is selected, even though I'm only moving one part. It clutters up the screen very badly, detracting from what I'm trying to show.
Is there a way to prevent Inventor from displaying the selection lines? Either only when I'm moving a part in a flexible assembly (which would be great), or to just turn them off completely when I'm presenting like this? I know I can turn off pre-select, but that doesn't work, because once I start moving a part in the flexible assembly, the assembly is "selected" and the wire-mesh displays.
View 3 Replies
View Related
May 3, 2013
I would like to use iLogic to switch my design (rather complex assembly) between the 'full' version, a 'simple' version and a 'FEA' version. I'm learning Inventor step by step and did not studies the making of drawings yes.
I'm not sure if it is ok to use iLogic for this purpose because I'm afraid my drawings will update to the simple' or 'FEA' versions. This is not what I want. And when using the 'FEA' version, will the FEA information get lost when I switch back to the 'full' or 'simple' versions?
Or in other words: Is it wise to use iLogic for this purpose?
View 7 Replies
View Related
Oct 31, 2011
modeling the actuator on a switch so when the cam rotates it moves the lever on the micro switch.
Dell Precision T3500
Windows 7 Pro
Quad Core Intel Xeon
6 Gb SDRam
NVIDIA Quadro
Product Design Suite 2014 Premium
View 4 Replies
View Related
Jul 27, 2012
Save copy as PDF shows a preview in my PDF viewer. How do I switch it off by default?
Inventor 2012 - 64 bit - build190 - Windows 7
View 5 Replies
View Related
Mar 3, 2010
My system is setup to use different projects and vaults depending on which department one is working. I have been jumping back and forth and was trying to find a macro to quickly switch projects, log out of the current vault, and log back into a different vault. I have minimal experience with macros and none with macros in Inventor . I am using Inventor 2009.
View 1 Replies
View Related
Mar 8, 2011
I work for a large enterprise that has many machines(all the same) that have Inventor 2010 with the 3GB switch enabled. However, when a user tries to remotely connect the machine with the switch enabled, using Windows RDC, they are unable to. After removing the switch, the user is able to remote successfully. Other forums suggested that the "SessionImageSpace" in the registry needed to be edited to allow for the connection, but that did not work for me.
Machine Info:
Dell T3500 Workstation
Xeon Quad Core 2.8GHz
6GB RAM
NVidia Quadro FX4800 2GB
Windows XP SP3
View 9 Replies
View Related
Aug 8, 2013
We are looking to switch from SW to Autodesk in order to utilize advanced surfacing in Alias, and its interoperability with Inventor. However, we need to continue to perform Kinimatic linkage studies as well using Inventor. I need to make sure we can perform the same calculations with ease before making the switch.
At this point I am trying to mimic in Inventor the kinimatic studies I perform in SW. In SW I would perform these studies within a single part file, using a single sketch only (no solid parts). Within this part file I would break up the total "travel" of the linkage into configurations that are driven by a "Design Table". The Design Table would be used for both the main driving value, and for any driven values I wanted to use for analysis.
I am trying to find a way to get the same driven variables written to an Excel file to use for analysis using Inventor.
As a test example:
I would like to drive one variable(Damper Length) to get ~20 different iParts, each with the linkage moved to a new point within its set range of motion. I then would like to write several Driven variables(Displacement_1-3 shown in "RULE CODE" attachement) from each iPart instance to an Excel file.
I have been able to get my 20 iParts and the linkage to move accordingly(iPART INSTANCES attachement), but I have not figured out how to write the driven data to excel for each iPart instance(20 rows of data, 3 columns). I have only been able to write the dimesions for one row of data...whichever iPart is currently open.
with the necessary iLogic code or another solution? It seems like this should be pretty straight forward. Do I need to be using the "ChangeRow" iPart Snippet?
View 8 Replies
View Related
Dec 23, 2013
I have a user that is trying to link a MS Word document to a .iam file.
When he attempts to do this Inventor will embed the file instead of linking it.
Is it a config setting?
Here are the steps he is using for this process:
1) Open an assembly into the Inventor workspace.
2) Go to "Manage" tab.
3) Click "Insert Object" link in ribbon.
4) Select "Create from File."
5) Browse for word document.
6) Checkmark "Link" option.
7) Hit "OK."
The result of this sequence of operations produces an "embedded" file, not a linked file.
I can link this file on any other computer except this workstation.
View 3 Replies
View Related
Jun 19, 2012
Is it possible to filter a selection (6 categories checked instead of 10) and make it as a view template?
So that next time I open up this view, only these 6 categories checked in the filter instead of re-doing the filtering again?
View 2 Replies
View Related
Jan 9, 2013
If there is a way to switch between the eye dropper/brush tool fast.
On Photoshop there the "alt" key but on my mac it really wastes a lot of time for blending colors .
View 2 Replies
View Related